<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

<h:head/>

<f:view>
    <div class="card">
        <h:form>
            <p:dataTable var="item" value="#{localizationViewController.list}" widgetVar="localizationTable"
                         emptyMessage="No localization items found with given criteria"
                         filteredValue="#{localizationViewController.filteredList}">

                <f:facet name="header">
                    <div class="p-d-flex p-ai-center p-jc-between">
                        <span>List of Localizations</span>
                        <p:inputText id="globalFilter" onkeyup="PF('localizationTable').filter()" style="width:10rem"
                                     placeholder="Enter keyword"/>
                    </div>
                </f:facet>

                <p:column headerText="KEY" sortBy="#{item.key}" filterBy="#{item.key}" filterMatchMode="contains">
                    <h:outputText value="#{item.key}"/>
                </p:column>
                <p:column headerText="UK" sortBy="#{item.uk}" filterBy="#{item.uk}" filterMatchMode="contains">
                    <h:outputText value="#{item.uk}"/>
                </p:column>
                <p:column headerText="EN" sortBy="#{item.en}" filterBy="#{item.en}" filterMatchMode="contains">
                    <h:outputText value="#{item.en}"/>
                </p:column>
                <p:column headerText="RU" sortBy="#{item.ru}" filterBy="#{item.ru}" filterMatchMode="contains">
                    <h:outputText value="#{item.ru}"/>
                </p:column>
            </p:dataTable>
        </h:form>
    </div>
</f:view>
</html>
